summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2017-01-02 21:27:13 -0700
committerTavian Barnes <tavianator@tavianator.com>2017-01-03 17:07:18 -0700
commit385510fd05c5c89e265e9dec478cf7be6f2ff50f (patch)
treea55104ea6ec3543822141ec24ac5942d432bbeee /tests.sh
parent71c8f67cb861f5334d853a23b7aafa3c97a802f6 (diff)
downloadbfs-385510fd05c5c89e265e9dec478cf7be6f2ff50f.tar.xz
tests: Add a test for -inum
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 444112d..06d319f 100755
--- a/tests.sh
+++ b/tests.sh
@@ -780,9 +780,16 @@ function test_0126() {
bfs_diff basic/g -depth -print -name h -quit
}
+function test_0127() {
+ [ "$BSD" -o "$GNU" ] || return 0
+
+ local inode="$(ls -id basic/k/foo/bar | cut -f1 -d' ')"
+ bfs_diff basic -inum "$inode"
+}
+
result=0
-for i in {1..126}; do
+for i in {1..127}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then